Skip to main content
GET
/
indexes
/
{index_name}
# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';

const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });

await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.control.client.model.*;

public class DescribeIndexExample {
    public static void main(String[] args) {
        Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
        IndexModel indexModel = pc.describeIndex("movie-recommendations");
        System.out.println(indexModel);
    }
}
package main

import (
    "context"
    "encoding/json"
    "fmt"
    "log"

    "github.com/pinecone-io/go-pinecone/v2/pinecone"
)

func prettifyStruct(obj interface{}) string {
    bytes, _ := json.MarshalIndent(obj, "", "  ")
    return string(bytes)
}

func main() {
    ctx := context.Background()

    pc, err := pinecone.NewClient(pinecone.NewClientParams{
        ApiKey: "YOUR_API_KEY",
    })
    if err != nil {
        log.Fatalf("Failed to create Client: %v", err)
    }

    idx, err := pc.DescribeIndex(ctx, "movie-recommendations")
    if err != nil {
        log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err)
    } else {
        fmt.Printf("index: %v\n", prettifyStruct(idx))
    }
}
using Pinecone;

var pinecone = new PineconeClient("YOUR_API_KEY");

var indexModel = await pinecone.DescribeIndexAsync("docs-example");

Console.WriteLine(indexModel);
PINECONE_API_KEY="YOUR_API_KEY"

curl -s -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
    -H "Api-Key: $PINECONE_API_KEY" \
    -H "X-Pinecone-Api-Version: 2024-07"
{
  "dimension": 1536,
  "host": "movie-recommendations-c01b5b5.svc.us-east1-gcp.pinecone.io",
  "metric": "cosine",
  "name": "movie-recommendations",
  "spec": {
    "serverless": {
      "cloud": "aws",
      "region": "us-east-1"
    }
  },
  "status": {
    "ready": false,
    "state": "Initializing"
  }
}
# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';

const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });

await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.control.client.model.*;

public class DescribeIndexExample {
    public static void main(String[] args) {
        Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
        IndexModel indexModel = pc.describeIndex("movie-recommendations");
        System.out.println(indexModel);
    }
}
package main

import (
    "context"
    "encoding/json"
    "fmt"
    "log"

    "github.com/pinecone-io/go-pinecone/v2/pinecone"
)

func prettifyStruct(obj interface{}) string {
    bytes, _ := json.MarshalIndent(obj, "", "  ")
    return string(bytes)
}

func main() {
    ctx := context.Background()

    pc, err := pinecone.NewClient(pinecone.NewClientParams{
        ApiKey: "YOUR_API_KEY",
    })
    if err != nil {
        log.Fatalf("Failed to create Client: %v", err)
    }

    idx, err := pc.DescribeIndex(ctx, "movie-recommendations")
    if err != nil {
        log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err)
    } else {
        fmt.Printf("index: %v\n", prettifyStruct(idx))
    }
}
using Pinecone;

var pinecone = new PineconeClient("YOUR_API_KEY");

var indexModel = await pinecone.DescribeIndexAsync("docs-example");

Console.WriteLine(indexModel);
PINECONE_API_KEY="YOUR_API_KEY"

curl -s -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
    -H "Api-Key: $PINECONE_API_KEY" \
    -H "X-Pinecone-Api-Version: 2024-07"

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Path Parameters

index_name
string
required

The name of the index to be described.

Response

Configuration information and deployment status of the index.

The IndexModel describes the configuration and status of a Pinecone index.

name
string
required

The name of the index. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.

Required string length: 1 - 45
Example:

"example-index"

dimension
integer<int32>
required

The dimensions of the vectors to be inserted in the index.

Required range: 1 <= x <= 20000
Example:

1536

metric
enum<string>
default:cosine
required

The distance metric to be used for similarity search. You can use 'euclidean', 'cosine', or 'dotproduct'.

Available options:
cosine,
euclidean,
dotproduct
host
string
required

The URL address where the index is hosted.

Example:

"semantic-search-c01b5b5.svc.us-west1-gcp.pinecone.io"

spec
object
required
Example:
{
"pod": {
"environment": "us-east-1-aws",
"metadata_config": {
"indexed": ["genre", "title", "imdb_rating"]
},
"pod_type": "p1.x1",
"pods": 1,
"replicas": 1,
"shards": 1
}
}
status
object
required
Example:
{
"ready": true,
"state": "ScalingUpPodSize"
}
deletion_protection
enum<string>
default:disabled

Whether deletion protection is enabled/disabled for the index.

Available options:
disabled,
enabled